Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.bcpg.sig
Class PrimaryUserID

    java.lang.Object
      org.bouncycastle.bcpg.SignatureSubpacket
          org.bouncycastle.bcpg.sig.PrimaryUserID

    public class PrimaryUserID

extends SignatureSubpacket

packet giving whether or not the signature is signed using the primary user ID for the key.

Field Summary

Fields inherited from class org.bouncycastle.bcpg.SignatureSubpacket
`data`

Constructor Summary
`PrimaryUserID(boolean critical, boolean isPrimaryUserID)`
`PrimaryUserID(boolean critical, byte[] data)`

Method Summary
`boolean` | `isPrimaryUserID()`

Methods inherited from class org.bouncycastle.bcpg.SignatureSubpacket
`encode, getData, getType, isCritical`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrimaryUserID

    public PrimaryUserID(boolean critical,
                         byte[] data)

### PrimaryUserID

    public PrimaryUserID(boolean critical,
                         boolean isPrimaryUserID)

Method Detail

### isPrimaryUserID

    public boolean isPrimaryUserID()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD